org.apache.cassandra.io.util

## Class DataIntegrityMetadata.ChecksumWriter

- java.lang.Object
- - org.apache.cassandra.io.util.DataIntegrityMetadata.ChecksumWriter

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

Enclosing class:
  DataIntegrityMetadata

    public static class DataIntegrityMetadata.ChecksumWriter
    extends java.lang.Object
    implements java.io.Closeable

### Constructor Summary

Constructors
Constructor and Description
`DataIntegrityMetadata.ChecksumWriter(Descriptor desc)`

### Method Summary

Methods
`void` `append(byte[] buffer, int start, int end)`
`void` `close()`
`void` `writeChunkSize(int length)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataIntegrityMetadata.ChecksumWriter

    public DataIntegrityMetadata.ChecksumWriter(Descriptor desc)

### Method Detail

#### writeChunkSize

    public void writeChunkSize(int length)

#### append

    public void append(byte[] buffer,
              int start,
              int end)

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`